cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.34.6.
--
-- see: https://github.com/sol/hpack

name:           streamly-apps
version:        0.0.1
synopsis:       Streamly examples
homepage:       https://gitlab.com/smunix.concurrency/streamly-apps
author:         Providence Salumu
maintainer:     Providence.Salumu@smunix.com
copyright:      Providence Salumu, 2022
license:        BSD3
license-file:   LICENSE
build-type:     Simple
default-language: GHC2021

executable acid-rain
  main-is: Main.hs
  other-modules:
      Paths_streamly_apps
  hs-source-dirs:
      apps/acid-rain
  default-extensions:
      BlockArguments
      DataKinds
      DerivingVia
      GADTs
      GHC2021
      LambdaCase
      MultiWayIf
      OverloadedStrings
      ViewPatterns
      TemplateHaskell
  ghc-options: -threaded -rtsopts -O2 -with-rtsopts=-N
  build-depends:
      base
    , hashable
    , mtl
    , optics
    , optics-extra
    , stm
    , streamly
    , text
    , transformers
    , unordered-containers
  default-language: Haskell2010

executable circling-square
  main-is: Main.hs
  other-modules:
      PID
      Paths_streamly_apps
  hs-source-dirs:
      apps/circling-square
  default-extensions:
      BlockArguments
      DataKinds
      DerivingVia
      GADTs
      GHC2021
      LambdaCase
      MultiWayIf
      OverloadedStrings
      ViewPatterns
      TemplateHaskell
  ghc-options: -threaded -rtsopts -O2 -with-rtsopts=-N
  extra-libraries:
      SDL2
  build-depends:
      base
    , hashable
    , mtl
    , optics
    , optics-extra
    , sdl2
    , stm
    , streamly
    , text
    , transformers
    , unordered-containers
  default-language: Haskell2010

executable tuto-generating
  main-is: Main.hs
  other-modules:
      Paths_streamly_apps
  hs-source-dirs:
      apps/tutorials/generating
  default-extensions:
      BlockArguments
      DataKinds
      DerivingVia
      GADTs
      GHC2021
      LambdaCase
      MultiWayIf
      OverloadedStrings
      ViewPatterns
      TemplateHaskell
  ghc-options: -threaded -rtsopts -O2 -with-rtsopts=-N
  build-depends:
      base
    , hashable
    , mtl
    , optics
    , optics-extra
    , stm
    , streamly
    , text
    , transformers
    , unordered-containers
  default-language: Haskell2010

executable tuto-mapping
  main-is: Main.hs
  other-modules:
      Paths_streamly_apps
  hs-source-dirs:
      apps/tutorials/mapping
  default-extensions:
      BlockArguments
      DataKinds
      DerivingVia
      GADTs
      GHC2021
      LambdaCase
      MultiWayIf
      OverloadedStrings
      ViewPatterns
      TemplateHaskell
  ghc-options: -threaded -rtsopts -O2 -with-rtsopts=-N
  build-depends:
      base
    , hashable
    , mtl
    , optics
    , optics-extra
    , stm
    , streamly
    , text
    , transformers
    , unordered-containers
  default-language: Haskell2010
